# $Revision: 1.24 $, $Date: 2001/12/07 22:48:09 $
Summary:	Translates rpm database into HTML and RDF info
Summary(es):	Genera HTML y informacin RDF a partir de un banco de datos rpm
Summary(pl):	Generuje informacje o bazie RPM formacie HTML
Summary(pt_BR):	Gera HTML e informao RDF a partir de um banco de dados RPM
Name:		rpm2html 
Version:	1.7
Release:	2
License:	W3C Copyright (BSD like)
Group:		Applications/System
Group(de):	Applikationen/System
Group(pl):	Aplikacje/System
Source0:	ftp://rufus.w3.org/pub/rpm2html/%{name}-%{version}.tar.gz
Patch0:		%{name}-rpmopen.patch
URL:		http://rpmfind.net/linux/rpm2html/
BuildRequires:	autoconf
BuildRequires:	libxml-devel
BuildRequires:	popt-devel
BuildRequires:	rpm-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rpm2html tries to solve 2 big problems one face when grabbing a RPM
package from a mirror on the net and trying to install it:
   - it gives more information than just the filename before installing
     the package.
   - it tries to solve the dependancy problem by analyzing all the
     Provides and Requires of the set of RPMs. It shows the cross
     references by the way of hypertext links. Rpm2html can now dump the
     metadata associated to RPM packages into standard RDF files.

%description -l es
Rpm2html intenta resolver uno de los grandes problemas que ocurren
cuando se desea obtener y instalar un paquete RPM:
   - provee ms informacin, adems del nombre del archivo antes de instalar
     el paquete; intenta resolver las dependencias analizando todo que un
   - conjunto de
     RPMs ofrece y requiere. Ensea las referencias cruzadas como links
     html.

Rpm2html puede ahora ofrecer los metadatos asociados a paquetes RPM en
formato RDF padrn.

%description -l pl
Rpm2html prbuje rozwiza 2 wielkie problemy gdy chcesz cign nowy
pakiet z sieci i prbujesz go zainstalowa:
   - daje wicej informacji ni sama nazwa pakietu
   - prbuje rozwiza problem zalenoci poprzez analiz wszystkich
     Provides i Requires w grupie RPMw. Pokazuje zalenoci w formie
     hiper-pocze. Rpm2html potrafi teraz zrzuci metadane wystepujce w
     pakietach RPM do plikw standardu RDF.

%description -l pt_BR
Rpm2html tenta resolver dois grandes problemas que ocorrem
quando se deseja obter e instalar um pacote RPM:
   - ele prov mais informaes alm do nome do arquivo antes
     de instalar o pacote;
   - ele tenta resolver as dependncias analisando tudo que um
     conjunto de RPMs fornece e requer. Ele mostra as referncias
     cruzadas como links html.
Rpm2html pode agora fornecer os metadados associados a pacotes
RPM em formato RDF padro.

%prep
%setup -q
%patch0 -p1

%build
autoconf
%configure \
	--sysconfdir=%{_sysconfdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf CHANGES BUGS PRINCIPLES README \
	rpm2html-*config

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/rpm2html
%{_datadir}/rpm2html

%config %verify(not size mtime md5) %{_sysconfdir}/rpm2html.config
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rpm2html.spec,v $
Revision 1.24  2001/12/07 22:48:09  kloczek
- bump release to 2,
- cosmetics and reorders.

Revision 1.23  2001/12/07 20:53:04  blues
- added rpmopen patch - allow to compile with current rpm (from CNV)
- some translotions
STBR

Revision 1.22  2001/12/07 14:11:40  qboosh
- adapterized

Revision 1.21  2001/10/11 14:03:14  qboosh
- BuildRequires: autoconf

Revision 1.20  2001/08/11 14:44:17  blues
- 1.7
NOTE:Does not compile. FIXME

Revision 1.19  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.18  2000/08/09 15:23:06  kloczek
- updated to 1.4,
- added DESTDIR style %install (added DESTDIR patch; patch posted to
  rpm2html maintainer),
- spec adapterized and added fiew simplifications.

Revision 1.17  2000/06/09 07:55:10  kloczek
- more %%{__make} macros.

Revision 1.16  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.14  2000/03/26 06:54:48  kloczek
- updated to 1.3.

Revision 1.13  2000/02/19 17:37:56  kloczek
- added "BuildRequires: rpm-devel",
- cosmetics.

Revision 1.12  2000/02/07 18:23:51  baggins
- release 2
- gziped %doc

Revision 1.11  1999/11/23 15:49:43  wiget
- more macros

Revision 1.10  1999/11/23 15:42:58  baggins
- added  -I/usr/include/rpm to CFLAGS

Revision 1.9  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Jan 20 1999 Artur Frysiak <wiget@usa.net>
  [1.0-1d]
- updated to 1.0
- added msg-apache.{pl,en} messages files (for apache MultiView option 
  support)

* Sun Sep 27 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.99-2d]
- start at the spec file prepared by A. Bagiski <abagi@idk.com.pl>,
- restricted ELF binaries permissions,
- build against Tornado,
- minor modifications.
